generic_pipe_buf_unmap
Prev | Chapter 7. pipes API | Next

## Name

generic_pipe_buf_unmap — unmap a previously mapped pipe buffer

## Synopsis

`void generic_pipe_buf_unmap (` | struct pipe_inode_info * | pipe,
| struct pipe_buffer * | buf,
| void * | map_data`)`;

## Arguments

`pipe`

  the pipe that the buffer belongs to

`buf`

  the buffer that should be unmapped

`map_data`

  the data that the mapping function returned

## Description

This function undoes the mapping that ->`map` provided.

Prev | Up | Next
generic_pipe_buf_map | Home | generic_pipe_buf_steal